//
//  ViewController.swift
//  RxSPM
//
//  Created by Shai Mishali on 28/02/2020.
//  Copyright © 2020 Shai Mishali. All rights reserved.
//

import UIKit
import RxSwift
import RxRelay
import RxCocoa

class ViewController: UIViewController {
    private let relay = BehaviorRelay(value: "")
    private let disposeBag = DisposeBag()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        relay
            .debug("relay")
            .subscribe()
            .disposed(by: disposeBag)
        
        Observable
            .just("Hello Test")
            .flatMap { x -> Observable<String> in
                return .just(x + x)
            }
            .bind(to: relay)
            .disposed(by: disposeBag)
    }
}

